# Function payloadDiscriminator

- payloadDiscriminator<const LLD, B>(payloadLiterals, allowAmbiguous?): PayloadDiscriminator<LLDtoLLs<LLD>, B>

- #### Type Parameters

  - #### const LLD extends AtLeast2<LayoutLiteral> | readonly [string, AtLeast2<string>] | AtLeast2<PayloadGroup>

  - #### B extends boolean = false

  #### Parameters

  - ##### payloadLiterals: LLD

  - ##### `Optional` allowAmbiguous: B

  #### Returns PayloadDiscriminator<LLDtoLLs<LLD>, B>

  - Defined in definitions/src/vaa/functions.ts:113

Generated using TypeDoc